#
# spec file for package joe (Version 3.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           joe
License:        GPL
Group:          Productivity/Editors/Other
Autoreqprov:    on
Version:        3.3
Release:        15.2
Summary:        A Text Editor
URL:            http://sourceforge.net/projects/joe-editor
Source:         joe-%{version}.tar.bz2
Source1:        spec.jsf
Patch0:         joe-3.1.patch
Patch1:         joe-3.0-rc.patch
Patch2:         joe-3.0-processing.patch
Patch3:         joe-3.1-ia64.patch
Patch4:         joe-3.1-syntaxsegv.patch
Patch5:         joe-3.1-compilesubdir.patch
Patch6:         joe-3.3-warnings.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
JOE (Joe's Own Editor) is a freeware ASCII editor for UNIX. Joe is
similar to most IBM PC text editors. The keyboard combinations are
similar to WordStar[tm] and Turbo C. Some of Joe's features include:

-full support of termcap and terminfo (useful for device-independent
descriptions to control screen output) -optimized screen refresh like
GNU Emacs (Joe can even be used at 2400 baud) -easy installation with
all features for UNIX integration with vi: a marked block of text can
be filtered through a UNIX command and wherever JOE accepts a filename
parameter, the following can also be substituted:

!command\t\t:to redirect from or to another command

>>filename\t\t:to append onto an existing file

filename,start,size\t:to edit a part of a file or device

-\t\t\t:to use standard input/output

When JOE has several files opened at the same time, each file is
displayed in its own window. Additionally, JOE allows for shell windows
from which the output of the executed commands are saved in a buffer,
automatic filename completion (via TAB), help windows, undo and redo,
and search and replace using regular expressions.



Authors:
--------
    Joseph H. Allen <jhallen@world.std.com>
    
    Marek 'Marx' Grac <xgrac@fi.muni.cz>

%debug_package
%prep
%setup
%patch0
%patch1
%patch2
%patch3
%patch4
#%patch5
%patch6

%build
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -Wall -W -Wno-unused" ./configure \
  --prefix=%{_prefix} \
  --mandir=%{_mandir} \
  --sysconfdir=%{_sysconfdir}
make

%install
make \
  prefix=$RPM_BUILD_ROOT%{_prefix} \
  mandir=$RPM_BUILD_ROOT%{_mandir} \
  sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
  install
for i in jmacs jpico jstar rjoe; do
  ln -s joe.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/$i.1.gz
done
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/joe/syntax
# docs should go to /usr/share/doc/packages/joe
rm -rf $RPM_BUILD_ROOT/etc/joe/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /etc/joe
%config /etc/joe/*rc
/etc/joe/syntax
/etc/joe/charmaps
/usr/bin/*
%doc %{_mandir}/man1/*
%doc COPYING ChangeLog NEWS HINTS HACKING LIST README TODO docs/*.html

%changelog -n joe
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - schwab@suse.de
- Don't strip binaries.
* Tue Jul 05 2005 - uli@suse.de
- build with warnings
- fixed warnings Autobuild objects to (fixes s390x)
* Sun Jun 05 2005 - cthiel@suse.de
- update to 3.3
- disabled joe-3.1-compilesubdir.patch
* Wed Jun 23 2004 - uli@suse.de
- parse entering/leaving dir msgs from make
* Thu Jun 17 2004 - uli@suse.de
- update -> 3.1
* Tue Apr 27 2004 - uli@suse.de
- fixed segfault in syntax highlighting
- added highlighting rules for spec files
* Mon Apr 26 2004 - uli@suse.de
- update -> 3.0 (UTF-8 support, syntax highlighting)
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Tue Feb 05 2002 - egmont@suselinux.hu
- updated to 2.9.8-pre1
* Mon Jan 28 2002 - egmont@suselinux.hu
- disabled undo patch, seems to be very buggy
- use relative symlinks instead of absolute ones
- added symlinks for manpages
- added URL
- added defattr(-,root,root) to spec file
* Wed Sep 26 2001 - pmladek@suse.cz
- fixed problem with large files (#5833)
  * fixed by joe-2.9.7-pre1
* Thu Sep 13 2001 - pmladek@suse.cz
- added three patches from SourceForge, thanks to
  Koblinger Egmont <egmont@suselinux.hu> for hints
  * resize - solves pause after xterm resizing
  * asis - turns off -asis in the default config, as it
  is no longer needed
  * undo - solves a problem with undo and the "Modified" mark
  after many savings
* Fri Aug 10 2001 - pmladek@suse.cz
- downgraded to stable version 2.9.5
  * thanks to Koblinger Egmont <egmont@suselinux.hu> and
  his experiences
* Thu Jul 19 2001 - pmladek@suse.cz
- updated to version 2.9.6
- config files moved from /usr/lib to /etc
- cleaned up spec file
* Thu May 24 2001 - pmladek@suse.cz
- fixed cast warnings on ia64
- fixed to run on ia64:
  * argument of function isblank must have the value
  of an unsigned char or EOF but function brc returns
  sometimes MAXINT
* Fri Mar 30 2001 - uli@suse.de
- update -> 2.9.5 (all fixes are still there)
* Thu Mar 15 2001 - pblaha@suse.cz
- add build root
* Wed Mar 14 2001 - pblaha@suse.cz
- applied patch from Thomas Biege
- This patch protects a user to open a .joerc file,
- that doesn't belongs to him, in public writeable
- directories (like /tmp). Commands can be executed
- via .joerc.
* Fri Jun 23 2000 - nadvornik@suse.cz
- added locale patch
- sorted
* Fri May 19 2000 - schwab@suse.de
- conf.c: don't redeclare time on ia64
* Tue Apr 04 2000 - dipa@suse.de
- a patch that take the resizing of a X terminal into consideration
  +#include <sys/ioctl.h> in tty.c
* Thu Mar 02 2000 - kukuk@suse.de
- Move /usr/man -> /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 - uli@suse.de
- added -fsigned-char to CFLAGS (PPC)
* Sat Jul 24 1999 - garloff@suse.de
- Applied better security fix (w/o unlinking) from thomas@suse.de
* Tue Jul 20 1999 - garloff@suse.de
- Additionally added unlink("DEADJOE");
* Tue Jul 20 1999 - garloff@suse.de
- Checked in DEADJOE permissions security fix from thomas@suse.de
* Wed Feb 03 1999 - ro@suse.de
- conf.c: don't redeclare time on alpha
* Mon Nov 23 1998 - max@suse.de
- termcap support is broken with glibc2
  but ncurses seems to work now.
* Fri Sep 18 1998 - max@suse.de
- applied Home/End key fix from joe to the other *rc files
* Mon Aug 10 1998 - max@suse.de
- added some doc files to the file list
* Fri Dec 12 1997 - max@suse.de
- using terminfo again for bugfix reasons
* Tue Oct 28 1997 - max@suse.de
- cleaned up generated specfile
- configured for terminfo instead of termcap
- fixed the Home/End key bug
